﻿<UserControl x:Class="UI.Views.LoggedInUser.UserManagerView"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             mc:Ignorable="d"
             xmlns:cal="http://www.caliburnproject.org"            
             xmlns:hc="https://handyorg.github.io/handycontrol" xmlns:loggedinuser="clr-namespace:UI.ViewModels.LoggedInUser" d:DataContext="{d:DesignInstance Type=loggedinuser:UserManagerViewModel}"
             Background="White"
             d:DesignHeight="450" d:DesignWidth="800">
    <Grid>
        <Grid.RowDefinitions>
            <RowDefinition Height="auto" />
            <RowDefinition />
            <RowDefinition Height="auto" />
        </Grid.RowDefinitions>
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="4*" />
            <ColumnDefinition MinWidth="200" />
        </Grid.ColumnDefinitions>
        <Border Margin="0,0,0,10" Style="{StaticResource BorderTipInfo}">
            <TextBlock FontSize="15" TextWrapping="Wrap">
                <Bold>Info :</Bold>
                Vous avez chargé
                <TextBlock Text="{Binding Path=TotalLoaded}" FontWeight="Bold" />
                utilisateurs sur 
                <TextBlock Text="{Binding Path=Total}" FontWeight="Bold" />
                disponibles.
            </TextBlock>
        </Border>
        <hc:SearchBar 
            x:Name="Filter" 
            Height="40"
            Grid.Column="1"
            VerticalAlignment="Top" 
            Margin="10,0,0,10" />
        <DataGrid
            ScrollViewer.CanContentScroll="False"
            ItemsSource="{Binding Path=ModelsListView}"
            IsReadOnly="True"
            Grid.Row="1"
            Grid.ColumnSpan="2"
            ColumnHeaderHeight="25" 
            SelectedItem="{Binding Path=SelectedModel}" 
            AutoGenerateColumns="False">
            <DataGrid.Columns>
                <DataGridTextColumn Width="0.15*" Header="Nom" Binding="{Binding Path=Person.LastName}" />
                <DataGridTextColumn Width="0.15*" Header="Prénom" Binding="{Binding Path=Person.FirstName}" />
                <DataGridTextColumn Width="0.2*" Header="Email" Binding="{Binding Path=Person.Email}" />
                <DataGridTextColumn Width="0.2*" Header="Téléphone" Binding="{Binding Path=Person.PhoneNumber}" />
                <DataGridTextColumn Width="0.2*" Header="Adresse" Binding="{Binding Path=Person.Address}" />
                <DataGridTextColumn Width="0.2*" Header="Localité" Binding="{Binding Path=Person.Entity.Name}" />
            </DataGrid.Columns>
            <DataGrid.RowDetailsTemplate>
                <DataTemplate>
                    <Border Style="{StaticResource BorderRegion}">
                        <Border Padding="10" Background="WhiteSmoke">
                            <Grid>
                                <Grid.ColumnDefinitions>
                                    <ColumnDefinition Width="0.85*" />
                                    <ColumnDefinition Width="0.15*" />
                                </Grid.ColumnDefinitions>
                                <StackPanel>
                                    <hc:Divider 
                                        Margin="0,0,0,5"
                                        Content="Liste des rôles" 
                                        FontSize="16" />
                                    <ItemsControl 
                                        ItemsSource="{Binding Path=UserRoles}" 
                                        DisplayMemberPath="Name"
                                        Foreground="Black" />
                                </StackPanel>
                                <StackPanel Grid.Column="1" Margin="15,0,0,0">
                                    <Button 
                                        HorizontalAlignment="Stretch"
                                        Margin="0,0,0,10"
                                        cal:Message.Attach="DeleteUser"
                                        Style="{StaticResource ButtonInfo}"
                                        Content="Supprimer l'utilisateur" />
                                </StackPanel>
                            </Grid>
                        </Border>
                    </Border>
                </DataTemplate>
            </DataGrid.RowDetailsTemplate>
        </DataGrid>
        <DockPanel  
            Margin="0,10,0,0"
            Grid.Row="2" 
            Grid.ColumnSpan="2">
            <Button 
                x:Name="AddUser"
                Margin="0"
                Content="Ajouter un utilisateur" />
            <Button 
                DockPanel.Dock="Right"
                x:Name="LoadMore"
                Margin="0"
                Content="Charger plus d'utilisateurs" />
            <TextBlock 
                FontWeight="Bold"
                x:Name="Message"
                VerticalAlignment="Center" 
                HorizontalAlignment="Center" />
        </DockPanel>
    </Grid>
</UserControl>
